New in version 0.22 is support for XCurses (the X port of PDCurses -- not
to be confused with the X/Open Group's use of the term "XCurses").

When MultiMail is compiled with XCurses, you can use the X resource
database to set certain startup options. Here are some example resources:

MultiMail.normalFont:	9x15
MultiMail.boldFont:	9x15bold
MultiMail.lines:	30
MultiMail.cols:		80

For details, see the PDCurses documentation.

If you're using a non-X text editor, it will work better if you set
MultiMail's editor variable to "xterm -e $EDITOR" instead of just
"$EDITOR" (the default).

Be sure to try out the window resizing; the SIGWINCH handling in XCurses
is much smoother than under an xterm (with ncurses or another
implementation).

For full functionality, you may want to modify XCurses itself. As it is,
XCurses doesn't support the use of a black foreground color on a black
background; any use of this color pair causes the rest of the line, from
that point rightward, to go unprinted. MultiMail uses this color pair in
combination with the "bold" attribute to get dark grey on black, the
default color for the shadows. To allow this to work with XCurses, you can
just remove these two lines from the function pair_content() in
pdcurses/color.c:

 if ( *foreground <= 0 && *background <= 0 )
        return(ERR);

Of course, if you don't feel like patching PDCurses, you can always just
change the shadow color in the ColorFile; but this color pair still shows
up frequently in ANSI pictures. (Even with the change, it won't show up as
dark grey on black, because XCurses doesn't use the bold attribute to
modify the foreground color.)
